<?php get_header(); ?>
			
<div id="content">

	<div id="inner-content" class="row clearfix">
		<div class="content-box clearfix">
		<div id="main" class="large-9 medium-12 columns first clearfix" role="main">
			<?php
			global $current_user,$wp_query,$wpdb;
			$paged = (get_query_var( 'paged' )) ? get_query_var( 'paged' ) : 1;
			$qvar = $wp_query->query_vars;
			$author = $qvar['author'];
			if ( isset( $_POST['auth_csutom_post'] ) ) {
				update_user_meta( sanitize_text_field( $_POST['author_id'] ), 'author_custom_post', sanitize_text_field( $_POST['author_custom_post'] ) );
			}
			if ( isset( $author ) && $author != '' ) :
				$curauth = get_userdata( $qvar['author'] );
			else :
				$curauth = get_userdata( intval( $_REQUEST['author'] ) );
			endif;



				$dirinfo = wp_upload_dir();


				?>
				
				<div class="author_cont">
				<div class="author_photo">
				<?php
					  $url = $curauth->user_url;
					  $description = get_user_meta( $curauth->ID,'description',true );
				if ( $url != '' || $description != '' ) :
					?>
				 <article id="post-author">
				<div class="profile-image">
					<?php echo get_avatar( $curauth->ID );  ?>
				</div>
				<div class="profile-content">
					<h5><a class="author_name"><strong><?php echo $current_user->display_name; ?></strong></a></h5>
					<p> <?php echo $description; ?></p>
								
				</div>
				  </article>
					<?php endif;
					?>
				</div>	
				</div>				    
			<?php global $post;
				$author_id = $post->post_author; ?>
				<h1 class="h2">
					<span><?php _e( 'Posts By:', 'templatic' ); ?></span> <?php echo get_the_author_meta( 'display_name', $author_id ); ?>
				</h1>					    

			<?php if ( have_posts() ) : ?>
				<div  class="tabs-content row list" id="autho-post-view">
				
				<?php $i = 1;
				while ( have_posts() ) : the_post();

					$post_format = get_post_format( $post->ID );

					$post_tag = '<span class="tags-title">' . __( '<i class="fa fa-tags"></i>', 'templatic' ) . '</span> ';

					$post_byline = '';
					/* fetch post meta */
					if ( $post->post_type == 'post' ) {
						$term_list = wp_get_post_terms( $post->ID, 'category', array(
							'fields' => 'all',
						) ); // fetch categories of post
						 $post_byline = '<cite class="fn"><i class="fa fa-clock-o"></i> ' . get_the_time( get_option( 'date_format' ) ) . '</cite>';
						 // start to fetch catgories
						if ( ! empty( $term_list ) ) {
							$cats = '';
							$sep = ', ';
							for ( $c = 0; $c < count( $term_list ); $c++ ) {
								if ( $c == (count( $term_list[ $c ] )) || count( $term_list ) == 1 ) {
									$sep = ' ';
								}
									$cats .= '<a href="' . get_term_link( $term_list[ $c ]->term_id,$term_list[ $c ]->taxonomy ) . '">' . $term_list[ $c ]->name . '</a>' . $sep; // give link to terms

							}
							$post_byline .= ' ' . __( 'in','templatic' ) . ' ' . $cats;
						}
					}

					$comment = '<li><a href="' . esc_url( get_permalink( $post->ID ) ) . '#respond"><i class="step fa fa-comments"></i>' . get_comments_number( get_the_ID() ) . '</a></li>';

					/* HTML comes from tpl/AuthorItemView.html file */
					/*start - Script to fetch the data from json */



					?>
					
					<div class="main-view clearfix"><!-- Show post meta -->
					<div class='view-desc'>
						<h2><a href="<?php echo get_permalink( $post->ID );  ?>"><?php the_title(); ?></a></h2>
						<span class="byline"><?php echo $post_byline ; ?></span>
						<p class="clearfix"><?php the_content(); ?></p>
					</div>
					</div>
					<?php endwhile;
					/* pagination start */
				if ( function_exists( 'tmpl_page_navi' ) ) {
					tmpl_page_navi();
				} else { ?>
						<nav class="wp-prev-next">
							<ul class="clearfix">
								<li class="prev-link"><?php next_posts_link( __( '&laquo; Older Entries', 'templatic' ) ) ?></li>
								<li class="next-link"><?php previous_posts_link( __( 'Newer Entries &raquo;', 'templatic' ) ) ?></li>
							</ul>
						</nav>
					<?php }
					/* pagination emd */
					?>		
				</div>
			<?php else :
				get_template_part( 'partials/content', 'missing' );

				endif; ?>

		</div> <!-- end #main -->

		<?php get_sidebar(); ?>
		</div>
	</div> <!-- end #inner-content -->
	
</div> <!-- end #content -->

<?php get_footer(); ?>
