<?php get_header(); ?>
			
			<div id="content">
			
				<div id="inner-content" class="row clearfix">
					<div class="content-box clearfix">
					<div id="main" class="large-9 medium-12 columns first clearfix" role="main">
						<?php if ( is_category() ) { ?>
							<h1>
								<span><?php _e( 'Topic:', 'templatic' ); ?></span> <?php single_cat_title(); ?>
							</h1>
					
							<?php } elseif ( is_tag() ) { ?> 
							<h1>
								<span><?php _e( 'Tagged:', 'templatic' ); ?></span> <?php single_tag_title(); ?>
							</h1>
					
							<?php } elseif ( is_author() ) {
							global $post;
							$author_id = $post->post_author;
						?>
							<h1>

								<span><?php _e( 'Posts By:', 'templatic' ); ?></span> <?php echo get_the_author_meta( 'display_name', $author_id ); ?>

							</h1>
						<?php } elseif ( is_day() ) { ?>
							<h1>
								<span><?php _e( 'Daily Archives:', 'templatic' ); ?></span> <?php the_time( 'l, F j, Y' ); ?>
							</h1>
		
						<?php } elseif ( is_month() ) { ?>
							<h1>
								<span><?php _e( 'Monthly Archives:', 'templatic' ); ?></span> <?php the_time( 'F Y' ); ?>
							</h1>
					
						<?php } elseif ( is_year() ) { ?>
							<h1>
								<span><?php _e( 'Yearly Archives:', 'templatic' ); ?></span> <?php the_time( 'Y' ); ?>
							</h1>
						<?php }

							// Show an optional term description.
							$term_description = term_description();
if ( ! empty( $term_description ) ) :
	printf( '<div class="taxonomy-description">%s</div>', $term_description );
							endif;

if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
								<div class="main-view clearfix">
								<article id="post-<?php the_ID(); ?>" <?php post_class( 'clearfix' ); ?> role="article" itemscope itemtype="//schema.org/BlogPosting">
									<header class="article-header">
										<h1><a href="<?php echo get_permalink( $post->ID ); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a><span class="comment-show-callout"><?php $comments_count = wp_count_comments( $post->ID );?><a href="<?php echo get_permalink( $post->ID ); ?>#comments" rel="bookmark" title="<?php the_title(); ?>"> <?php echo $comments_count->approved;?></a></span></h1>
										<?php get_template_part( 'partials/content', 'byline' ); ?>
										</p>							
									</header> <!-- end article header -->
															
									<section class="entry-content clearfix" itemprop="articleBody">
										<?php the_post_thumbnail( 'full' ); ?>
										<?php the_content(); ?>

																				<!-- Social media share buttons -->
										 <div class="social-media-shareicon">    
											<ul>
												<li><a class="twitter" href="//twitter.com/home?status=Reading: <?php the_permalink(); ?>" title="<?php _e( 'Share this post on Twitter!','templatic' ); ?>" target="_blank"><i class="step fa fa-twitter"></i> Twitter</a></li> 
												<li><a class="facebook" href="//www.facebook.com/sharer.php?u=<?php the_permalink();?>&amp;t=<?php the_title(); ?>" title="<?php _e( 'Share this post on Facebook!','templatic' ); ?>" target="_blank"> <i class="step fa fa-facebook"></i> Facebook</a></li>
												<li><a class="googleplus" target="_blank" href="https://plus.google.com/share?url=<?php the_permalink(); ?>"><i class="fa fa-google-plus"></i> <?php _e( 'Google+','templatic' ); ?></a></li>
												<li><a class="pinit" href="//pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>"  count-layout="none"><i class="fa fa-pinterest"></i> <?php _e( 'Pin It','templatic' ); ?></a></li>
												<li><a class="linkedin" href="//www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>&summary=<?php the_title(); ?>&source=<?php echo home_url(); ?>"  count-layout="none"><i class="fa fa-linkedin"></i> <?php _e( 'LinkedIn','templatic' );?></a></li>
												<li><a class="email" href="mailto:<?php echo (antispambot( get_the_author_meta( 'email' ) )); ?>"><i class="fa fa-envelope"></i> <?php _e( 'Email','templatic' ); ?></a></li>
												<!--  <a class="google-plus" target="_blank" href="https://plus.google.com/share?url=<?php //the_permalink(); ?>">Google+</a> // Remove it to enable google plus -->
											</ul>
										</div>
										<!-- Social media share buttons end -->
									</section> <!-- end article section -->
																
									<footer class="article-footer">
											<p class="tags"><?php the_tags( '<span class="tags-title">' . __( 'Tags:', 'templatic' ) . '</span> ', ', ', '' ); ?></p>
									</footer> <!-- end article footer -->
								</article>
								</div>
						<?php endwhile;
if ( function_exists( 'tmpl_page_navi' ) ) {
	tmpl_page_navi();
} else { ?>
		<nav class="wp-prev-next">
			<ul class="clearfix">
				<li class="prev-link"><?php next_posts_link( __( '&laquo; Older Entries', 'templatic' ) ) ?></li>
				<li class="next-link"><?php previous_posts_link( __( 'Newer Entries &raquo;', 'templatic' ) ) ?></li>
			</ul>
		</nav>
	<?php }

						 else : ?>
					
							<?php get_template_part( 'partials/content', 'missing' ); ?>
					
						<?php endif; ?>
			
					</div> <!-- end #main -->

						<div id="sidebar1" class="sidebar large-3 medium-12 columns" role="complementary">
					<?php if ( is_active_sidebar( 'post_category_sidebar' ) ) : ?>

						<?php dynamic_sidebar( 'post_category_sidebar' ); ?>

					<?php else : ?>

						<!-- This content shows up if there are no widgets defined in the back end. -->
												
						<?php dynamic_sidebar( 'sidebar1' ); ?>

					<?php endif; ?>
					</div>
				</div>
				</div> <!-- end #inner-content -->

							</div> <!-- end #content -->

<?php get_footer(); ?>
